Subject: Re: [saag] SSH & Ntruprime

From: Christian Huitema <[email-masked]>
Date: Tue, 16 Apr 2024 13:53:11 -0700

On 4/16/2024 11:22 AM, D. J. Bernstein wrote:
> Note the words "such as encryption technologies" above. I wouldn't say
> that crypto patents were the_only_  driver of the BCP 79 text, but I
> have no idea how anyone could imagine that they're out of scope, or how
> anyone could argue that excluding them would be a good idea.

If I remember correctly, the RSA patents were indeed a key driver of 
this discussion. That's why TLS 1.0 (RFC 2246, January 1999) said:

    In the absence of an application profile standard specifying
    otherwise, a TLS compliant application MUST implement the cipher
    suite TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA.

... instead of requiring RSA. So, yes, I think that Dan is right.

-- Christian Huitema